def fct(n):
    L = [] # liste vide
    for k in range(n+1):
        u = k % 10 # chiffre des unités de k
        v = k**2 % 10 # chiffre des unités du carré de k
        if u == v:
            L.append(k)

    return L
